// deployer WireguardModule implementation
// Copyright (C) 2024 Jean-Cloud
// GNU General Public License v3

#include "WireguardModule.h"
using namespace std;

//constructor
WireguardModule::WireguardModule(){
    name="Wireguard";
}

//destructor inline

//public methods
int WireguardModule::Prepare ()
{
    return 0;
}

int WireguardModule::Deploy (string serviceUsername)
{
    return 0;
}

int WireguardModule::Remove(string serviceUsername)
{
    return 0;
}

int WireguardModule::Clean ()
{
    return 0;
}